import sys
import os
root_dir = os.path.abspath(os.curdir)
sys.path.append(root_dir)

import src.metadata_review_lib as metadata_review_lib

import input_files.config_file as config_file
import src.hdf5_vis as hdf5_vis
import src.hdf5_lib as hdf5_lib

import os

output_filename_path = "output_files/unified_file_smog_chamber_2024-03-25_UTC-OFST_+0100_NG.h5"
output_yml_filename_path = "output_files/unified_file_smog_chamber_2024-03-25_UTC-OFST_+0100_NG.yaml"


output_filename_path, output_yml_filename_path = hdf5_lib.main()



try:
    metadata_review_lib.first_initialize_metadata_review(output_filename_path,initials='NG')    
except Warning as ex:
    print(ex)
    #

submit_review = True
if submit_review:
    metadata_review_lib.second_submit_metadata_review(output_filename_path)

    output_yml_filename_path_tail, filename = os.path.split(output_yml_filename_path)
    if os.path.exists(os.path.join(os.path.join(os.path.abspath(os.curdir),"review"),filename)):
        metadata_review_lib.third_update_hdf5_file_with_review(output_filename_path, os.path.join(os.path.join(os.path.abspath(os.curdir),"review"),filename))
    metadata_review_lib.fourth_complete_metadata_review()    

#if __name__ == '__main__':

